.modal {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #ffffff;
    padding: 20px;
    border-radius: 8px;
    width: 340px;
    height: 410px;
    box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.2);
    display: flex;
    flex-direction: column;
    align-items: center;
    overflow: hidden; 
  }
  
  .overlay {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    justify-content: center;
    align-items: center;
  }
  
  .form-group-registration {
    margin-bottom: 10px;
    width: 290px;
  }
  
  label {
    display: block;
    margin-bottom: 5px;
    font-weight: bold;
  }
  
  label input[type="checkbox"] {
    margin-right: 10px;
    vertical-align: middle;
  }
  
  input[type='username'],
  input[type='password'] {
    width: 100%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
    font-size: 17px;
  }
  
  input[type="password"] {
    letter-spacing: 2px;
  }
  
  button[type='submit'] {
    width: 100%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
  }
  
  button[type='submit'] {
    background-color: #4caf50;
    color: #ffffff;
    cursor: pointer;
  }
  
  button[type='submit']:hover {
    background-color: #45a049;
  }
  
  .close-icon {
    position: absolute;
    top: 10px;
    right: 10px;
    cursor: pointer;
  }